Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 167372 - 6.7RC3 IDE Deadlock After Maven clean install
6.7RC3 IDE Deadlock After Maven clean install
Status: VERIFIED FIXED
Product: projects
Classification: Unclassified
Component: Maven
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Milos Kleint
issues@platform
67patch1-verified
:
: 167800 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-19 15:35 UTC by buzz3791
Modified: 2009-07-20 14:50 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
jvisualvm application snapshot of deadlocked IDE (7.56 KB, application/octet-stream)
2009-06-19 15:44 UTC, buzz3791
Details

Note You need to log in before you can comment on or make changes to this bug.
Description buzz3791 2009-06-19 15:35:23 UTC
I'm using NetBeans 6.7RC3 on Windows XP SP3.

I have one maven project X that depends on another maven project Y.  Y only contains 1 class that has some class static
constants.  A class in X has "import static" declaration for the constants in Y.  When I tried to do a clean install on
Y the IDE deadlocked.

Here is a thread dump from the JDK's jvisualvm tool...

2009-06-19 09:56:01
Full thread dump Java HotSpot(TM) Client VM (14.0-b16 mixed mode, sharing):

"JMX server connection timeout 89" daemon prio=6 tid=0x03feb400 nid=0xcf0 in Object.wait() [0x0820f000]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	at com.sun.jmx.remote.internal.ServerCommunicatorAdmin$Timeout.run(ServerCommunicatorAdmin.java:150)
	- locked <0x118372f8> (a [I)
	at java.lang.Thread.run(Thread.java:619)

   Locked ownable synchronizers:
	- None

"RMI Scheduler(0)" daemon prio=6 tid=0x03fe8800 nid=0xcd4 waiting on condition [0x0800f000]
   java.lang.Thread.State: TIMED_WAITING (parking)
	at sun.misc.Unsafe.park(Native Method)
	- parking to wait for  <0x1179f358> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
	at java.util.concurrent.locks.LockSupport.parkNanos(LockSupport.java:198)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.awaitNanos(AbstractQueuedSynchronizer.java:1963)
	at java.util.concurrent.DelayQueue.take(DelayQueue.java:164)
	at java.util.concurrent.ScheduledThreadPoolExecutor$DelayedWorkQueue.take(ScheduledThreadPoolExecutor.java:583)
	at java.util.concurrent.ScheduledThreadPoolExecutor$DelayedWorkQueue.take(ScheduledThreadPoolExecutor.java:576)
	at java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:947)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:907)
	at java.lang.Thread.run(Thread.java:619)

   Locked ownable synchronizers:
	- None

"RMI TCP Connection(1)-10.1.40.18" daemon prio=6 tid=0x06b5e800 nid=0x518 runnable [0x0547f000]
   java.lang.Thread.State: RUNNABLE
	at java.net.SocketInputStream.socketRead0(Native Method)
	at java.net.SocketInputStream.read(SocketInputStream.java:129)
	at java.io.BufferedInputStream.fill(BufferedInputStream.java:218)
	at java.io.BufferedInputStream.read(BufferedInputStream.java:237)
	- locked <0x117f5418> (a java.io.BufferedInputStream)
	at java.io.FilterInputStream.read(FilterInputStream.java:66)
	at sun.rmi.transport.tcp.TCPTransport.handleMessages(TCPTransport.java:517)
	at sun.rmi.transport.tcp.TCPTransport$ConnectionHandler.run0(TCPTransport.java:790)
	at sun.rmi.transport.tcp.TCPTransport$ConnectionHandler.run(TCPTransport.java:649)
	at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908)
	at java.lang.Thread.run(Thread.java:619)

   Locked ownable synchronizers:
	- <0x117b9ea8> (a java.util.concurrent.locks.ReentrantLock$NonfairSync)

"RMI TCP Accept-0" daemon prio=6 tid=0x04368c00 nid=0xebc runnable [0x07bff000]
   java.lang.Thread.State: RUNNABLE
	at java.net.PlainSocketImpl.socketAccept(Native Method)
	at java.net.PlainSocketImpl.accept(PlainSocketImpl.java:390)
	- locked <0x117a2c28> (a java.net.SocksSocketImpl)
	at java.net.ServerSocket.implAccept(ServerSocket.java:453)
	at java.net.ServerSocket.accept(ServerSocket.java:421)
	at sun.management.jmxremote.LocalRMIServerSocketFactory$1.accept(LocalRMIServerSocketFactory.java:34)
	at sun.rmi.transport.tcp.TCPTransport$AcceptLoop.executeAcceptLoop(TCPTransport.java:369)
	at sun.rmi.transport.tcp.TCPTransport$AcceptLoop.run(TCPTransport.java:341)
	at java.lang.Thread.run(Thread.java:619)

   Locked ownable synchronizers:
	- None

"ErrorAnnotator worker" daemon prio=2 tid=0x08b57400 nid=0x724 waiting for monitor entry [0x07dff000]
   java.lang.Thread.State: BLOCKED (on object monitor)
	at org.openide.util.lookup.ProxyLookup.lookup(ProxyLookup.java:200)
	- waiting to lock <0x13174560> (a org.netbeans.spi.project.support.LookupProviderSupport$DelegatingLookupImpl)
	at org.openide.util.lookup.ProxyLookup.lookup(ProxyLookup.java:205)
	at org.netbeans.modules.maven.api.PluginPropertyUtils.getPluginPropertyList(PluginPropertyUtils.java:243)
	at org.netbeans.modules.maven.NbMavenProjectImpl.getGeneratedSourceRoots(NbMavenProjectImpl.java:710)
	at org.netbeans.modules.maven.MavenSourcesImpl.checkChanges(MavenSourcesImpl.java:144)
	- locked <0x131823f8> (a java.lang.Object)
	at org.netbeans.modules.maven.MavenSourcesImpl.getSourceGroups(MavenSourcesImpl.java:200)
	- locked <0x131823f8> (a java.lang.Object)
	at org.netbeans.spi.project.support.LookupProviderSupport$SourcesImpl.getSourceGroups(LookupProviderSupport.java:279)
	at org.netbeans.modules.java.source.tasklist.ErrorAnnotator$1.run(ErrorAnnotator.java:297)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:577)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1030)

   Locked ownable synchronizers:
	- None

"Default RequestProcessor" daemon prio=2 tid=0x08b69800 nid=0x2c8 waiting for monitor entry [0x0567f000]
   java.lang.Thread.State: BLOCKED (on object monitor)
	at org.netbeans.modules.maven.MavenSourcesImpl.getSourceGroups(MavenSourcesImpl.java:200)
	- waiting to lock <0x131823f8> (a java.lang.Object)
	at org.netbeans.spi.project.support.LookupProviderSupport$SourcesImpl.getSourceGroups(LookupProviderSupport.java:279)
	at org.netbeans.modules.maven.nodes.SourcesNodeFactory$NList.keys(SourcesNodeFactory.java:91)
	at org.netbeans.spi.project.ui.support.NodeFactorySupport$DelegateChildren.addKeys(NodeFactorySupport.java:220)
	at org.netbeans.spi.project.ui.support.NodeFactorySupport$DelegateChildren.stateChanged(NodeFactorySupport.java:210)
	- locked <0x1374a970> (a java.util.HashMap)
	at org.netbeans.modules.maven.spi.nodes.AbstractMavenNodeList.fireChange(AbstractMavenNodeList.java:70)
	at org.netbeans.modules.maven.nodes.SourcesNodeFactory$NList.stateChanged(SourcesNodeFactory.java:139)
	at org.openide.util.ChangeSupport.fireChange(ChangeSupport.java:123)
	at org.openide.util.ChangeSupport.fireChange(ChangeSupport.java:109)
	at org.netbeans.spi.project.support.LookupProviderSupport$SourcesImpl.setLookup(LookupProviderSupport.java:272)
	at org.netbeans.spi.project.support.LookupProviderSupport$SourcesImpl.access$200(LookupProviderSupport.java:247)
	at org.netbeans.spi.project.support.LookupProviderSupport$SourcesMerger.merge(LookupProviderSupport.java:242)
	at org.netbeans.spi.project.support.LookupProviderSupport$SourcesMerger.merge(LookupProviderSupport.java:231)
	at org.netbeans.spi.project.support.LookupProviderSupport$DelegatingLookupImpl.doDelegate(LookupProviderSupport.java:217)
	- locked <0x13174560> (a org.netbeans.spi.project.support.LookupProviderSupport$DelegatingLookupImpl)
	at
org.netbeans.spi.project.support.LookupProviderSupport$DelegatingLookupImpl.resultChanged(LookupProviderSupport.java:155)
	at org.openide.util.lookup.AbstractLookup$NotifyListeners.run(AbstractLookup.java:525)
	at org.openide.util.lookup.AbstractLookup.notifyIn(AbstractLookup.java:305)
	at org.openide.util.lookup.AbstractLookup.removePairImpl(AbstractLookup.java:279)
	at org.openide.util.lookup.AbstractLookup.removePair(AbstractLookup.java:262)
	at org.openide.util.lookup.AbstractLookup$Content.removePair(AbstractLookup.java:1219)
	at org.openide.util.lookup.InstanceContent.remove(InstanceContent.java:113)
	at org.netbeans.modules.maven.runjar.J2seLookupProvider$Provider.doCheckJ2se(J2seLookupProvider.java:102)
	at org.netbeans.modules.maven.runjar.J2seLookupProvider$Provider.checkJ2se(J2seLookupProvider.java:97)
	at org.netbeans.modules.maven.runjar.J2seLookupProvider$Provider.propertyChange(J2seLookupProvider.java:90)
	at java.beans.PropertyChangeSupport.firePropertyChange(PropertyChangeSupport.java:339)
	at java.beans.PropertyChangeSupport.firePropertyChange(PropertyChangeSupport.java:276)
	at org.netbeans.modules.maven.api.NbMavenProject.doFireReload(NbMavenProject.java:459)
	at org.netbeans.modules.maven.api.NbMavenProject.access$200(NbMavenProject.java:82)
	at org.netbeans.modules.maven.api.NbMavenProject$AccessorImpl.doFireReload(NbMavenProject.java:123)
	at org.netbeans.modules.maven.NbMavenProjectImpl.fireProjectReload(NbMavenProjectImpl.java:533)
	at org.netbeans.modules.maven.api.NbMavenProject.fireProjectReload(NbMavenProject.java:453)
	at org.netbeans.modules.maven.api.NbMavenProject.fireMavenProjectReload(NbMavenProject.java:472)
	at org.netbeans.modules.maven.execute.MavenCommandLineExecutor$1.run(MavenCommandLineExecutor.java:203)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:577)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1030)

   Locked ownable synchronizers:
	- None

"Parsing & Indexing Loop (200906142201)" daemon prio=2 tid=0x06c3e800 nid=0x1d8 waiting on condition [0x0c40f000]
   java.lang.Thread.State: WAITING (parking)
	at sun.misc.Unsafe.park(Native Method)
	- parking to wait for  <0x1382a0b0> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:158)
	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:1925)
	at java.util.concurrent.PriorityBlockingQueue.take(PriorityBlockingQueue.java:220)
	at org.netbeans.modules.parsing.impl.TaskProcessor$CompilationJob.run(TaskProcessor.java:577)
	at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:441)
	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303)
	at java.util.concurrent.FutureTask.run(FutureTask.java:138)
	at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908)
	at java.lang.Thread.run(Thread.java:619)

   Locked ownable synchronizers:
	- <0x13859650> (a java.util.concurrent.locks.ReentrantLock$NonfairSync)

"Default RequestProcessor" daemon prio=2 tid=0x03fe6400 nid=0xcd8 waiting for monitor entry [0x0a40f000]
   java.lang.Thread.State: BLOCKED (on object monitor)
	at org.openide.util.lookup.ProxyLookup.lookup(ProxyLookup.java:200)
	- waiting to lock <0x13174560> (a org.netbeans.spi.project.support.LookupProviderSupport$DelegatingLookupImpl)
	at org.openide.util.lookup.ProxyLookup.lookup(ProxyLookup.java:205)
	at org.netbeans.api.project.ProjectUtils.getSources(ProjectUtils.java:101)
	at org.netbeans.modules.project.ui.ProjectsRootNode$BadgingNode.setProjectFiles(ProjectsRootNode.java:545)
	at org.netbeans.modules.project.ui.ProjectsRootNode$BadgingNode.setProjectFiles(ProjectsRootNode.java:469)
	at org.netbeans.modules.project.ui.ProjectsRootNode$BadgingNode$2.run(ProjectsRootNode.java:766)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:577)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1030)

   Locked ownable synchronizers:
	- None

"Subversion - file status refresh" daemon prio=2 tid=0x06c16400 nid=0x248 waiting for monitor entry [0x09e0f000]
   java.lang.Thread.State: BLOCKED (on object monitor)
	at org.openide.util.lookup.ProxyLookup.lookup(ProxyLookup.java:200)
	- waiting to lock <0x13174560> (a org.netbeans.spi.project.support.LookupProviderSupport$DelegatingLookupImpl)
	at org.openide.util.lookup.ProxyLookup.lookup(ProxyLookup.java:205)
	at org.netbeans.modules.projectapi.ProjectSharabilityQuery.getSharability(ProjectSharabilityQuery.java:67)
	at org.netbeans.api.queries.SharabilityQuery.getSharability(SharabilityQuery.java:110)
	at org.netbeans.modules.subversion.Subversion.isIgnored(Subversion.java:388)
	at org.netbeans.modules.subversion.FileStatusCache.createMissingEntryFileInformation(FileStatusCache.java:847)
	at org.netbeans.modules.subversion.FileStatusCache.createFileInformation(FileStatusCache.java:695)
	at org.netbeans.modules.subversion.FileStatusCache.refresh(FileStatusCache.java:411)
	- locked <0x13055da0> (a org.netbeans.modules.subversion.FileStatusCache)
	at org.netbeans.modules.subversion.FileStatusCache.refresh(FileStatusCache.java:347)
	at org.netbeans.modules.subversion.FileStatusCache$2.run(FileStatusCache.java:148)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:577)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1030)

   Locked ownable synchronizers:
	- None

"AWT-EventQueue-1" prio=6 tid=0x06ea4000 nid=0x8fc waiting for monitor entry [0x079ff000]
   java.lang.Thread.State: BLOCKED (on object monitor)
	at org.openide.util.lookup.ProxyLookup.lookup(ProxyLookup.java:200)
	- waiting to lock <0x13174560> (a org.netbeans.spi.project.support.LookupProviderSupport$DelegatingLookupImpl)
	at org.openide.util.lookup.ProxyLookup.lookup(ProxyLookup.java:205)
	at org.netbeans.modules.project.ui.ProjectTab$DelegatingAction.updateIsEnabled(ProjectTab.java:769)
	at org.netbeans.modules.project.ui.ProjectTab$DelegatingAction.propertyChange(ProjectTab.java:790)
	at java.beans.PropertyChangeSupport.firePropertyChange(PropertyChangeSupport.java:339)
	at java.beans.PropertyChangeSupport.firePropertyChange(PropertyChangeSupport.java:276)
	at org.openide.explorer.ExplorerManager$2.run(ExplorerManager.java:865)
	at org.openide.util.Mutex.doEvent(Mutex.java:1335)
	at org.openide.util.Mutex.readAccess(Mutex.java:345)
	at org.openide.explorer.ExplorerManager.fireInAWT(ExplorerManager.java:862)
	at org.openide.explorer.ExplorerManager$Listener.propertyChange(ExplorerManager.java:932)
	at sun.reflect.GeneratedMethodAccessor27.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at org.openide.util.WeakListenerImpl$ProxyListener.invoke(WeakListenerImpl.java:451)
	at $Proxy6.propertyChange(Unknown Source)
	at org.openide.nodes.Node.fireOwnPropertyChange(Node.java:1241)
	at org.openide.nodes.FilterNode$NodeAdapter.propertyChange(FilterNode.java:1190)
	at org.openide.nodes.FilterNode$NodeAdapter.propertyChange(FilterNode.java:1171)
	at org.openide.nodes.Node.fireOwnPropertyChange(Node.java:1241)
	at org.openide.nodes.Node.fireDisplayNameChange(Node.java:1035)
	at org.netbeans.modules.maven.nodes.MavenProjectNode.access$400(MavenProjectNode.java:87)
	at org.netbeans.modules.maven.nodes.MavenProjectNode$2$1.run(MavenProjectNode.java:115)
	at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:597)
	at org.netbeans.core.TimableEventQueue.dispatchEvent(TimableEventQueue.java:104)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:269)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:184)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:174)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:169)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:161)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:122)

   Locked ownable synchronizers:
	- None

"TimerQueue" daemon prio=6 tid=0x06ea3c00 nid=0xb3c in Object.wait() [0x068ff000]
   java.lang.Thread.State: WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	at javax.swing.TimerQueue.run(TimerQueue.java:236)
	- locked <0x12eda840> (a javax.swing.TimerQueue)
	at java.lang.Thread.run(Thread.java:619)

   Locked ownable synchronizers:
	- None

"Thread-5" daemon prio=6 tid=0x06e8b800 nid=0xa34 in Object.wait() [0x077ff000]
   java.lang.Thread.State: WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	- waiting on <0x12e00118> (a java.util.LinkedList)
	at java.lang.Object.wait(Object.java:485)
	at java.util.prefs.AbstractPreferences$EventDispatchThread.run(AbstractPreferences.java:1461)
	- locked <0x12e00118> (a java.util.LinkedList)

   Locked ownable synchronizers:
	- None

"*** JFluid Separate Command Execution Thread" daemon prio=6 tid=0x06ea6800 nid=0x9c0 in Object.wait() [0x075ff000]
   java.lang.Thread.State: WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	- waiting on <0x12eb1e30> (a java.lang.Object)
	at java.lang.Object.wait(Object.java:485)
	at org.netbeans.lib.profiler.ProfilerClient$SeparateCmdExecutionThread.run(ProfilerClient.java:102)
	- locked <0x12eb1e30> (a java.lang.Object)

   Locked ownable synchronizers:
	- None

"Default RequestProcessor" daemon prio=2 tid=0x06e4d800 nid=0xe7c waiting for monitor entry [0x073ff000]
   java.lang.Thread.State: BLOCKED (on object monitor)
	at org.openide.util.lookup.ProxyLookup.lookup(ProxyLookup.java:200)
	- waiting to lock <0x13174560> (a org.netbeans.spi.project.support.LookupProviderSupport$DelegatingLookupImpl)
	at org.openide.util.lookup.ProxyLookup.lookup(ProxyLookup.java:205)
	at org.netbeans.api.project.ProjectUtils.getSources(ProjectUtils.java:101)
	at org.netbeans.modules.project.ui.ProjectsRootNode$BadgingNode.setProjectFiles(ProjectsRootNode.java:545)
	at org.netbeans.modules.project.ui.ProjectsRootNode$BadgingNode.setProjectFiles(ProjectsRootNode.java:469)
	at org.netbeans.modules.project.ui.ProjectsRootNode$BadgingNode$2.run(ProjectsRootNode.java:766)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:577)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1030)

   Locked ownable synchronizers:
	- None

"AWT-Windows" daemon prio=6 tid=0x03f3e400 nid=0x9cc runnable [0x066ff000]
   java.lang.Thread.State: RUNNABLE
	at sun.awt.windows.WToolkit.eventLoop(Native Method)
	at sun.awt.windows.WToolkit.run(WToolkit.java:291)
	at java.lang.Thread.run(Thread.java:619)

   Locked ownable synchronizers:
	- None

"AWT-Shutdown" prio=6 tid=0x03f3d800 nid=0x850 in Object.wait() [0x064ff000]
   java.lang.Thread.State: WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at sun.awt.AWTAutoShutdown.run(AWTAutoShutdown.java:259)
	- locked <0x12746bd0> (a java.lang.Object)
	at java.lang.Thread.run(Thread.java:619)

   Locked ownable synchronizers:
	- None

"Java2D Disposer" daemon prio=10 tid=0x03f31000 nid=0x9e0 in Object.wait() [0x062ff000]
   java.lang.Thread.State: WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:118)
	- locked <0x12746c60> (a java.lang.ref.ReferenceQueue$Lock)
	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:134)
	at sun.java2d.Disposer.run(Disposer.java:125)
	at java.lang.Thread.run(Thread.java:619)

   Locked ownable synchronizers:
	- None

"Inactive RequestProcessor thread [Was:TimedSoftReference/org.openide.util.TimedSoftReference]" daemon prio=2
tid=0x03efcc00 nid=0xbcc in Object.wait() [0x05e1f000]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:983)
	- locked <0x12734d68> (a java.lang.Object)

   Locked ownable synchronizers:
	- None

"Timer-0" daemon prio=6 tid=0x03efd800 nid=0xa78 in Object.wait() [0x05c1f000]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	at java.util.TimerThread.mainLoop(Timer.java:509)
	- locked <0x12734de0> (a java.util.TaskQueue)
	at java.util.TimerThread.run(Timer.java:462)

   Locked ownable synchronizers:
	- None

"CLI Requests Server" daemon prio=6 tid=0x03efa400 nid=0x1fc runnable [0x05a1f000]
   java.lang.Thread.State: RUNNABLE
	at java.net.PlainSocketImpl.socketAccept(Native Method)
	at java.net.PlainSocketImpl.accept(PlainSocketImpl.java:390)
	- locked <0x12734eb8> (a java.net.SocksSocketImpl)
	at java.net.ServerSocket.implAccept(ServerSocket.java:453)
	at java.net.ServerSocket.accept(ServerSocket.java:421)
	at org.netbeans.CLIHandler$Server.run(CLIHandler.java:1003)

   Locked ownable synchronizers:
	- None

"Active Reference Queue Daemon" daemon prio=2 tid=0x02de6000 nid=0xc88 in Object.wait() [0x041ff000]
   java.lang.Thread.State: WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:118)
	- locked <0x12725b88> (a java.lang.ref.ReferenceQueue$Lock)
	at org.netbeans.modules.openide.util.ActiveQueue.run(ActiveQueue.java:53)
	at java.lang.Thread.run(Thread.java:619)

   Locked ownable synchronizers:
	- None

"Low Memory Detector" daemon prio=6 tid=0x02d69800 nid=0xcec runnable [0x00000000]
   java.lang.Thread.State: RUNNABLE

   Locked ownable synchronizers:
	- None

"CompilerThread0" daemon prio=10 tid=0x02d63c00 nid=0x670 waiting on condition [0x00000000]
   java.lang.Thread.State: RUNNABLE

   Locked ownable synchronizers:
	- None

"Attach Listener" daemon prio=10 tid=0x02d62400 nid=0xb94 waiting on condition [0x00000000]
   java.lang.Thread.State: RUNNABLE

   Locked ownable synchronizers:
	- None

"Signal Dispatcher" daemon prio=10 tid=0x02d61000 nid=0x694 runnable [0x00000000]
   java.lang.Thread.State: RUNNABLE

   Locked ownable synchronizers:
	- None

"Finalizer" daemon prio=8 tid=0x02d1f000 nid=0x8c0 in Object.wait() [0x033ff000]
   java.lang.Thread.State: WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:118)
	- locked <0x12725db8> (a java.lang.ref.ReferenceQueue$Lock)
	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:134)
	at java.lang.ref.Finalizer$FinalizerThread.run(Finalizer.java:159)

   Locked ownable synchronizers:
	- None

"Reference Handler" daemon prio=10 tid=0x02d1dc00 nid=0xeec in Object.wait() [0x031ff000]
   java.lang.Thread.State: WAITING (on object monitor)
	at java.lang.Object.wait(Native Method)
	at java.lang.Object.wait(Object.java:485)
	at java.lang.ref.Reference$ReferenceHandler.run(Reference.java:116)
	- locked <0x12725a08> (a java.lang.ref.Reference$Lock)

   Locked ownable synchronizers:
	- None

"main" prio=6 tid=0x00a67800 nid=0xbd0 waiting on condition [0x00000000]
   java.lang.Thread.State: RUNNABLE

   Locked ownable synchronizers:
	- None

"VM Thread" prio=10 tid=0x02d1c400 nid=0xe08 runnable 

"VM Periodic Task Thread" prio=10 tid=0x02d74000 nid=0xa20 waiting on condition 

JNI global references: 2261


Found one Java-level deadlock:
=============================
"ErrorAnnotator worker":
  waiting to lock monitor 0x06bb31ec (object 0x13174560, a
org.netbeans.spi.project.support.LookupProviderSupport$DelegatingLookupImpl),
  which is held by "Default RequestProcessor"
"Default RequestProcessor":
  waiting to lock monitor 0x06bba3cc (object 0x131823f8, a java.lang.Object),
  which is held by "ErrorAnnotator worker"

Java stack information for the threads listed above:
===================================================
"ErrorAnnotator worker":
	at org.openide.util.lookup.ProxyLookup.lookup(ProxyLookup.java:200)
	- waiting to lock <0x13174560> (a org.netbeans.spi.project.support.LookupProviderSupport$DelegatingLookupImpl)
	at org.openide.util.lookup.ProxyLookup.lookup(ProxyLookup.java:205)
	at org.netbeans.modules.maven.api.PluginPropertyUtils.getPluginPropertyList(PluginPropertyUtils.java:243)
	at org.netbeans.modules.maven.NbMavenProjectImpl.getGeneratedSourceRoots(NbMavenProjectImpl.java:710)
	at org.netbeans.modules.maven.MavenSourcesImpl.checkChanges(MavenSourcesImpl.java:144)
	- locked <0x131823f8> (a java.lang.Object)
	at org.netbeans.modules.maven.MavenSourcesImpl.getSourceGroups(MavenSourcesImpl.java:200)
	- locked <0x131823f8> (a java.lang.Object)
	at org.netbeans.spi.project.support.LookupProviderSupport$SourcesImpl.getSourceGroups(LookupProviderSupport.java:279)
	at org.netbeans.modules.java.source.tasklist.ErrorAnnotator$1.run(ErrorAnnotator.java:297)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:577)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1030)
"Default RequestProcessor":
	at org.netbeans.modules.maven.MavenSourcesImpl.getSourceGroups(MavenSourcesImpl.java:200)
	- waiting to lock <0x131823f8> (a java.lang.Object)
	at org.netbeans.spi.project.support.LookupProviderSupport$SourcesImpl.getSourceGroups(LookupProviderSupport.java:279)
	at org.netbeans.modules.maven.nodes.SourcesNodeFactory$NList.keys(SourcesNodeFactory.java:91)
	at org.netbeans.spi.project.ui.support.NodeFactorySupport$DelegateChildren.addKeys(NodeFactorySupport.java:220)
	at org.netbeans.spi.project.ui.support.NodeFactorySupport$DelegateChildren.stateChanged(NodeFactorySupport.java:210)
	- locked <0x1374a970> (a java.util.HashMap)
	at org.netbeans.modules.maven.spi.nodes.AbstractMavenNodeList.fireChange(AbstractMavenNodeList.java:70)
	at org.netbeans.modules.maven.nodes.SourcesNodeFactory$NList.stateChanged(SourcesNodeFactory.java:139)
	at org.openide.util.ChangeSupport.fireChange(ChangeSupport.java:123)
	at org.openide.util.ChangeSupport.fireChange(ChangeSupport.java:109)
	at org.netbeans.spi.project.support.LookupProviderSupport$SourcesImpl.setLookup(LookupProviderSupport.java:272)
	at org.netbeans.spi.project.support.LookupProviderSupport$SourcesImpl.access$200(LookupProviderSupport.java:247)
	at org.netbeans.spi.project.support.LookupProviderSupport$SourcesMerger.merge(LookupProviderSupport.java:242)
	at org.netbeans.spi.project.support.LookupProviderSupport$SourcesMerger.merge(LookupProviderSupport.java:231)
	at org.netbeans.spi.project.support.LookupProviderSupport$DelegatingLookupImpl.doDelegate(LookupProviderSupport.java:217)
	- locked <0x13174560> (a org.netbeans.spi.project.support.LookupProviderSupport$DelegatingLookupImpl)
	at
org.netbeans.spi.project.support.LookupProviderSupport$DelegatingLookupImpl.resultChanged(LookupProviderSupport.java:155)
	at org.openide.util.lookup.AbstractLookup$NotifyListeners.run(AbstractLookup.java:525)
	at org.openide.util.lookup.AbstractLookup.notifyIn(AbstractLookup.java:305)
	at org.openide.util.lookup.AbstractLookup.removePairImpl(AbstractLookup.java:279)
	at org.openide.util.lookup.AbstractLookup.removePair(AbstractLookup.java:262)
	at org.openide.util.lookup.AbstractLookup$Content.removePair(AbstractLookup.java:1219)
	at org.openide.util.lookup.InstanceContent.remove(InstanceContent.java:113)
	at org.netbeans.modules.maven.runjar.J2seLookupProvider$Provider.doCheckJ2se(J2seLookupProvider.java:102)
	at org.netbeans.modules.maven.runjar.J2seLookupProvider$Provider.checkJ2se(J2seLookupProvider.java:97)
	at org.netbeans.modules.maven.runjar.J2seLookupProvider$Provider.propertyChange(J2seLookupProvider.java:90)
	at java.beans.PropertyChangeSupport.firePropertyChange(PropertyChangeSupport.java:339)
	at java.beans.PropertyChangeSupport.firePropertyChange(PropertyChangeSupport.java:276)
	at org.netbeans.modules.maven.api.NbMavenProject.doFireReload(NbMavenProject.java:459)
	at org.netbeans.modules.maven.api.NbMavenProject.access$200(NbMavenProject.java:82)
	at org.netbeans.modules.maven.api.NbMavenProject$AccessorImpl.doFireReload(NbMavenProject.java:123)
	at org.netbeans.modules.maven.NbMavenProjectImpl.fireProjectReload(NbMavenProjectImpl.java:533)
	at org.netbeans.modules.maven.api.NbMavenProject.fireProjectReload(NbMavenProject.java:453)
	at org.netbeans.modules.maven.api.NbMavenProject.fireMavenProjectReload(NbMavenProject.java:472)
	at org.netbeans.modules.maven.execute.MavenCommandLineExecutor$1.run(MavenCommandLineExecutor.java:203)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:577)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1030)

Found 1 deadlock.
Comment 1 buzz3791 2009-06-19 15:44:09 UTC
Created attachment 83821 [details]
jvisualvm application snapshot of deadlocked IDE
Comment 2 buzz3791 2009-06-19 15:46:24 UTC
jvm args
-Dnetbeans.importclass=org.netbeans.upgrade.AutoUpgrade
-Dnetbeans.accept_license_class=org.netbeans.license.AcceptLicense
-client
-Xss2m
-Xms32m
-XX:PermSize=32m
-XX:MaxPermSize=200m
-Xverify:none
-Dapple.laf.useScreenMenuBar=true
-Dsun.java2d.noddraw=true
-Xmx202m
-Djdk.home=c:/PROGRA~1/java/JDK16~2.0_1
-Dnetbeans.home=D:\nb67\platform10
-Dnetbeans.dirs=D:\nb67\nb6.7;D:\nb67\ergonomics1;D:\nb67\ide11;D:\nb67\java2;D:\nb67\xml2;D:\nb67\apisupport1;D:\nb67\webcommon1;D:\nb67\websvccommon1;D:\nb67\enterprise5;D:\nb67\mobility8;D:\nb67\profiler3;D:\nb67\ruby2;D:\nb67\python1;D:\nb67\php1;D:\nb67\visualweb2;D:\nb67\soa2;D:\nb67\identity2;D:\nb67\uml6;D:\nb67\harness;D:\nb67\cnd2;D:\nb67\dlight1;D:\nb67\groovy1;D:\nb67\extra;D:\nb67\javafx2
-Dnetbeans.user=C:\Documents and Settings\brooksb1\.netbeans\6.7rc3
-XX:+HeapDumpOnOutOfMemoryError
-XX:HeapDumpPath=C:\Documents and Settings\brooksb1\.netbeans\6.7rc3\var\log\heapdump.hprof
-Dnetbeans.system_http_proxy=DIRECT
-Dsun.awt.keepWorkingSetOnMinimize=true

system properties

apple.laf.useScreenMenuBar=true
awt.toolkit=sun.awt.windows.WToolkit
file.encoding=Cp1252
file.encoding.pkg=sun.io
file.separator=\
http.nonProxyHosts=localhost|127.0.0.1|FRONTLINE2
https.nonProxyHosts=localhost|127.0.0.1|FRONTLINE2
java.awt.graphicsenv=sun.awt.Win32GraphicsEnvironment
java.awt.printerjob=sun.awt.windows.WPrinterJob
java.class.path=D:\nb67\platform10\lib\boot.jar;D:\nb67\platform10\lib\org-openide-modules.jar;D:\nb67\platform10\lib\org-openide-util.jar;D:\nb67\platform10\lib\locale\boot_ja.jar;D:\nb67\platform10\lib\locale\boot_pt_BR.jar;D:\nb67\platform10\lib\locale\boot_zh_CN.jar;D:\nb67\platform10\lib\locale\org-openide-modules_ja.jar;D:\nb67\platform10\lib\locale\org-openide-modules_pt_BR.jar;D:\nb67\platform10\lib\locale\org-openide-modules_zh_CN.jar;D:\nb67\platform10\lib\locale\org-openide-util_ja.jar;D:\nb67\platform10\lib\locale\org-openide-util_pt_BR.jar;D:\nb67\platform10\lib\locale\org-openide-util_zh_CN.jar;c:/PROGRA~1/java/JDK16~2.0_1\lib\dt.jar;c:/PROGRA~1/java/JDK16~2.0_1\lib\tools.jar
java.class.version=50.0
java.endorsed.dirs=c:\PROGRA~1\java\JDK16~2.0_1\jre\lib\endorsed
java.ext.dirs=c:\PROGRA~1\java\JDK16~2.0_1\jre\lib\ext;C:\WINDOWS\Sun\Java\lib\ext
java.home=c:\PROGRA~1\java\JDK16~2.0_1\jre
java.io.tmpdir=C:\DOCUME~1\brooksb1\LOCALS~1\Temp\
java.library.path=D:\nb67\bin;.;C:\WINDOWS\Sun\Java\bin;C:\WINDOWS\system32;C:\WINDOWS;C:\Program Files\CollabNet
Subversion Client;c:\PROGRA~1\java\JDK16~2.0_1\bin;C:\tools\apache-maven-2.0.8\bin;C:\Program Files\Common
Files\OTG;C:\WINDOWS\system32;C:\WINDOWS;C:\WINDOWS\System32\Wbem;C:\Program Files\TortoiseSVN\bin;c:\Program
Files\Microsoft SQL Server\90\Tools\binn\;C:\WINDOWS\system32\WindowsPowerShell\v1.0;C:\Program Files\IDM Computer
Solutions\UltraEdit\
java.rmi.server.randomIDs=true
java.runtime.name=Java(TM) SE Runtime Environment
java.runtime.version=1.6.0_14-b08
java.specification.name=Java Platform API Specification
java.specification.vendor=Sun Microsystems Inc.
java.specification.version=1.6
java.util.logging.config.class=org.netbeans.core.startup.TopLogging
java.vendor=Sun Microsystems Inc.
java.vendor.url=http://java.sun.com/
java.vendor.url.bug=http://java.sun.com/cgi-bin/bugreport.cgi
java.version=1.6.0_14
java.vm.info=mixed mode, sharing
java.vm.name=Java HotSpot(TM) Client VM
java.vm.specification.name=Java Virtual Machine Specification
java.vm.specification.vendor=Sun Microsystems Inc.
java.vm.specification.version=1.0
java.vm.vendor=Sun Microsystems Inc.
java.vm.version=14.0-b16
jdk.home=c:/PROGRA~1/java/JDK16~2.0_1
line.separator=\r\n
maven.mode.standalone=true
nb.show.statistics.ui=usageStatisticsEnabled
netbeans.accept_license_class=org.netbeans.license.AcceptLicense
netbeans.buildnumber=200906142201
netbeans.dirs=D:\nb67\nb6.7;D:\nb67\ergonomics1;D:\nb67\ide11;D:\nb67\java2;D:\nb67\xml2;D:\nb67\apisupport1;D:\nb67\webcommon1;D:\nb67\websvccommon1;D:\nb67\enterprise5;D:\nb67\mobility8;D:\nb67\profiler3;D:\nb67\ruby2;D:\nb67\python1;D:\nb67\php1;D:\nb67\visualweb2;D:\nb67\soa2;D:\nb67\identity2;D:\nb67\uml6;D:\nb67\harness;D:\nb67\cnd2;D:\nb67\dlight1;D:\nb67\groovy1;D:\nb67\extra;D:\nb67\javafx2
netbeans.dynamic.classpath=D:\nb67\platform10\core\core.jar;D:\nb67\platform10\core\org-openide-filesystems.jar;D:\nb67\platform10\core\locale\core_ja.jar;D:\nb67\platform10\core\locale\core_pt_BR.jar;D:\nb67\platform10\core\locale\core_zh_CN.jar;D:\nb67\platform10\core\locale\org-openide-filesystems_ja.jar;D:\nb67\platform10\core\locale\org-openide-filesystems_pt_BR.jar;D:\nb67\platform10\core\locale\org-openide-filesystems_zh_CN.jar;D:\nb67\nb6.7\core\org-netbeans-upgrader.jar;D:\nb67\nb6.7\core\locale\core_nb.jar;D:\nb67\nb6.7\core\locale\core_nb_ja.jar;D:\nb67\nb6.7\core\locale\core_nb_pt_BR.jar;D:\nb67\nb6.7\core\locale\core_nb_zh_CN.jar;D:\nb67\nb6.7\core\locale\org-netbeans-upgrader_ja.jar;D:\nb67\nb6.7\core\locale\org-netbeans-upgrader_pt_BR.jar;D:\nb67\nb6.7\core\locale\org-netbeans-upgrader_zh_CN.jar
netbeans.home=D:\nb67\platform10
netbeans.importclass=org.netbeans.upgrade.AutoUpgrade
netbeans.system_http_proxy=DIRECT
netbeans.user=C:\Documents and Settings\brooksb1\.netbeans\6.7rc3
org.openide.TopManager=org.netbeans.core.NonGui
org.openide.TopManager.GUI=true
org.openide.major.version=IDE/1
org.openide.specification.version=6.2
org.openide.version=deprecated
org.xml.sax.driver=com.sun.org.apache.xerces.internal.jaxp.SAXParserImpl$JAXPSAXParser
os.arch=x86
os.name=Windows XP
os.version=5.1
path.separator=;
sun.arch.data.model=32
sun.awt.exception.handler=org.netbeans.core.startup.TopLogging$AWTHandler
sun.awt.keepWorkingSetOnMinimize=true
sun.boot.class.path=c:\PROGRA~1\java\JDK16~2.0_1\jre\lib\resources.jar;c:\PROGRA~1\java\JDK16~2.0_1\jre\lib\rt.jar;c:\PROGRA~1\java\JDK16~2.0_1\jre\lib\sunrsasign.jar;c:\PROGRA~1\java\JDK16~2.0_1\jre\lib\jsse.jar;c:\PROGRA~1\java\JDK16~2.0_1\jre\lib\jce.jar;c:\PROGRA~1\java\JDK16~2.0_1\jre\lib\charsets.jar;c:\PROGRA~1\java\JDK16~2.0_1\jre\classes
sun.boot.library.path=c:\PROGRA~1\java\JDK16~2.0_1\jre\bin
sun.cpu.endian=little
sun.cpu.isalist=pentium_pro+mmx pentium_pro pentium+mmx pentium i486 i386 i86
sun.desktop=windows
sun.io.unicode.encoding=UnicodeLittle
sun.java2d.noddraw=true
sun.jnu.encoding=Cp1252
sun.management.compiler=HotSpot Client Compiler
sun.os.patch.level=Service Pack 3
useJavaUtilZip=true
user.country=US
user.dir=D:\nb67
user.home=C:\Documents and Settings\brooksb1
user.language=en
user.name=brooksb1
user.timezone=America/New_York
user.variant=
Comment 3 Milos Kleint 2009-06-24 12:36:59 UTC
http://hg.netbeans.org/main/rev/51c32b92974c
Comment 4 Quality Engineering 2009-06-25 08:10:14 UTC
Integrated into 'main-golden', will be available in build *200906250201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/51c32b92974c
User: Milos Kleint <mkleint@netbeans.org>
Log: #167372 fire change asynchronously to prevent a deadlock with project's lookup.
Comment 5 Quality Engineering 2009-06-26 20:47:45 UTC
Integrated into 'main-golden', will be available in build *200906261401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/175ff2809b0e
User: Milos Kleint <mkleint@netbeans.org>
Log: #167372 same fix for scala/groovy sources
Comment 6 Jaroslav Pospisil 2009-06-29 11:44:34 UTC
v.
Comment 7 Milos Kleint 2009-06-29 13:39:53 UTC
*** Issue 167800 has been marked as a duplicate of this issue. ***
Comment 8 pgebauer 2009-07-02 11:32:19 UTC
The fix has been ported into the release67_fixes repository.
http://hg.netbeans.org/release67_fixes/rev/465a55bd48d1


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo